Page MenuHomeFreeBSD

devel/pcsc-lite: Clean up & update MASTER_SITES
ClosedPublic

Authored by 0mp on Oct 9 2018, 10:28 AM.

Details

Summary
  • Update MASTER_SITES, upstream moved to https://pcsclite.apdu.fr
  • Update WWW
  • Improve COMMENT
  • Add GPLv3+ to LICENSE as it is mentioned in the license file
  • Pet portlint:
    • Sort variables (clean up the USE* section)
  • Make pkg-message more readable
Test Plan
  • portlint
  • poudriere: 11.2 amd64, 12-ALPHA6 amd64, 10.4 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Oct 9 2018, 10:28 AM
krion accepted this revision.Oct 10 2018, 1:00 PM
This revision is now accepted and ready to land.Oct 10 2018, 1:00 PM
0mp added a comment.Oct 10 2018, 1:20 PM

Thanks @krion, I'll wait for @mmokhi now.

mmokhi accepted this revision.Oct 10 2018, 5:21 PM

Firstly, thanks a lot for the help on port, of course ๐Ÿ™ ๐Ÿ˜Š
Seems good to be committed to me, if you could take care of that small part, it'd be double-awesome imo ๐Ÿ˜‰

Macro shipit:

devel/pcsc-lite/files/pkg-message.in
25 โ†—(On Diff #48926)

Looks great to me overall indeed.
I know it may seem too "nit-picking", but I guess now that we are cleaning things up let's make this part easier to read/copy for ppl by not adding extra tabs before attach and detach blocks.

Otherwise it's totally fine to me ๐Ÿ˜Š

Macro lgtm:

0mp marked 2 inline comments as done.Oct 11 2018, 10:19 AM
0mp added inline comments.
devel/pcsc-lite/files/pkg-message.in
25 โ†—(On Diff #48926)

Oh, I totally forgot that people might actually want to copy-paste this snippet. I'll revert this change for sure. Thank you for spotting it!

This revision was automatically updated to reflect the committed changes.
0mp marked an inline comment as done.